import Vue from 'vue'
import App from './App'
import store from './store' // store
import plugins from './plugins' // plugins
import './permission' // permission
import uView from '@/uni_modules/uview-ui'
import mqttTool from '@/utils/mqttTool'

Vue.use(uView)
Vue.use(plugins)

Vue.config.productionTip = false
Vue.prototype.$store = store
Vue.prototype.$mqttTool = mqttTool
App.mpType = 'app'

const app = new Vue({
  ...App
})

app.$mount()
